<script setup lang="ts">
import { type Product } from '@/types/Product'
import ProductCard from './ProductCard.vue'
const props = defineProps<{
  products: Product[]
}>()
const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct(Product p)
}>()
</script>
<template>
  <div style="max-height: 5608px; overflow: auto">
    <v-container>
      <v-row>
        <v-col cols="12" md="4" sm="4" v-for="item of products" :key="item.id">
          <ProductCard :product="item"></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
